import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);
//creating circle face
const circle = g.append('circle');

circle.attr('r', height / 2);
circle.attr('fill', 'orange');
circle.attr('stroke', 'black');

//adding eyes to the face
const leftEye = svg.append('circle')
                   .attr('cx', 390)
                   .attr('cy', 150)
                   .attr('r', 30)
                   .attr('fill', 'white');
                   
const rightEye = svg.append('circle')
                    .attr('cx', 550)
                    .attr('cy', 150)
                    .attr('r', 30)
                    .attr('fill', 'white');
//adding pupil to the eyes
const leftPupil = svg.append('circle')
  .attr('cx', 390)
  .attr('cy', 150)
  .attr('r', 10)
  .attr('fill', 'red');

const rightPupil = svg.append('circle')
  .attr('cx', 550)
  .attr('cy', 150)
  .attr('r', 10)
  .attr('fill', 'red');
//adds nose                    
const nose = g.append('path')
                .attr('d', arc()({
    						innerRadius: 20,
   							outerRadius: 10,
    						startAngle: Math.PI / 2,
    						endAngle: Math.PI * 3 / 2}))
//adds eyebrows
const leftEyebrow = svg.append('rect')
                       .attr('x', 340)
  										 .attr('y', 100)
  										 .attr('width', 80)
                       .attr('height', 10)
  										 .attr('fill', 'black')
                       .attr('stroke', 'curve')
  										 .attr('transform', 'rotate(0, 50, 10)');
                       
const rightEyebrow = svg.append('rect')
  .attr('x', 520)
  .attr('y', 100)
  .attr('width', 80)
  .attr('height', 10)
  .attr('fill', 'black')
  .attr('stroke', 'curve')
  .attr('transform', 'rotate(0, 50, 10)');
                


const frownyG = g
	.append('g')
		.attr('transform', `translate(0, 150)`)
const mouth = g
  .append('path')
    .attr('d', arc()({
      innerRadius: 140,
      outerRadius: 90,
      startAngle: Math.PI / 1.5,
      endAngle: Math.PI * 2.7 / 2,
    }));
//add teeth to the face
const teeth = g.append('g')
  .attr('transform', 'translate(0, 100)');

teeth.selectAll('rect')
  .data([0, 1, 2, 3, 4, 5])
  .enter()
  .append('rect')
  .attr('x', (d) => -65 + d * 20)
  .attr('y', -5)
  .attr('width', 20)
  .attr('height', 20)
  .attr('fill', 'white')
  .attr('stroke', 'black');





// Add blush circles to the cheeks of the face
const blushRadius = 55;
const blushOffsetX = 150;
const blushOffsetY = 20;
const blushOpacity = 0.3;
const blushFill = 'white';

const leftBlush = g.append('circle')
  .attr('cx', -blushOffsetX)
  .attr('cy', blushOffsetY)
  .attr('r', blushRadius)
  .attr('fill', blushFill)
  .attr('opacity', blushOpacity);

const rightBlush = g.append('circle')
  .attr('cx', blushOffsetX)
  .attr('cy', blushOffsetY)
  .attr('r', blushRadius)
  .attr('fill', blushFill)
  .attr('opacity', blushOpacity);











